﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics35.Web.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI" TagPrefix="ig" %>
<%@ Register Assembly="Infragistics35.Web.v11.1, Version=11.1.20111.1006, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="ig" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
    <div>
        <ig:WebScriptManager ID="WebScriptManager1" runat="server">
        </ig:WebScriptManager>
        <ig:WebDataGrid ID="WebDataGrid1" runat="server" Height="350px" Width="400px" AutoGenerateColumns="False"
            DataSourceID="SqlDataSource1" DataKeyFields="ProductID">
            <Columns>
                <ig:BoundDataField DataFieldName="ProductID" Key="ProductID" Hidden="true">
                    <Header Text="ProductID" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="ProductName" Key="ProductName">
                    <Header Text="ProductName" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UnitPrice" Key="UnitPrice">
                    <Header Text="UnitPrice" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UnitsInStock" Key="UnitsInStock">
                    <Header Text="UnitsInStock" />
                </ig:BoundDataField>
                <ig:BoundDataField DataFieldName="UnitsOnOrder" Key="UnitsOnOrder">
                    <Header Text="UnitsOnOrder" />
                </ig:BoundDataField>
                <ig:BoundCheckBoxField DataFieldName="Discontinued" Key="Discontinued">
                    <Header Text="Discontinued" />
                </ig:BoundCheckBoxField>
            </Columns>
            <Behaviors>
               <%-- <ig:Activation>
                </ig:Activation>--%>
                <ig:EditingCore>
                    <Behaviors>
                        <ig:CellEditing>
                        </ig:CellEditing>
                        <ig:RowAdding>
                            <ColumnSettings>                                
                                <ig:RowAddingColumnSetting ColumnKey="Discontinued" DefaultValueAsString="true" />
                            </ColumnSettings>
                        </ig:RowAdding>                      
                    </Behaviors>
                </ig:EditingCore>        
                <ig:Selection>
                </ig:Selection>
            </Behaviors>
        </ig:WebDataGrid>
    </div>
    <asp:Button ID="Button1" runat="server" Text="Button" />
    <asp:SqlDataSource ID="SqlDataSource1" runat="server" ConnectionString="<%$ ConnectionStrings:NORTHWNDConnectionString %>"
        SelectCommand="SELECT [ProductID], [ProductName], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [Discontinued] FROM [Products]"
        DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID" InsertCommand="INSERT INTO [Products] ([ProductName], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [Discontinued]) VALUES (@ProductName, @UnitPrice, @UnitsInStock, @UnitsOnOrder, @Discontinued)"
        UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [UnitPrice] = @UnitPrice, [UnitsInStock] = @UnitsInStock, [UnitsOnOrder] = @UnitsOnOrder, [Discontinued] = @Discontinued WHERE [ProductID] = @ProductID">
        <DeleteParameters>
            <asp:Parameter Name="ProductID" Type="Int32" />
        </DeleteParameters>
        <InsertParameters>
            <asp:Parameter Name="ProductName" Type="String" />
            <asp:Parameter Name="UnitPrice" Type="Decimal" />
            <asp:Parameter Name="UnitsInStock" Type="Int16" />
            <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
            <asp:Parameter Name="Discontinued" Type="Boolean" />
        </InsertParameters>
        <UpdateParameters>
            <asp:Parameter Name="ProductName" Type="String" />
            <asp:Parameter Name="UnitPrice" Type="Decimal" />
            <asp:Parameter Name="UnitsInStock" Type="Int16" />
            <asp:Parameter Name="UnitsOnOrder" Type="Int16" />
            <asp:Parameter Name="Discontinued" Type="Boolean" />
            <asp:Parameter Name="ProductID" Type="Int32" />
        </UpdateParameters>
    </asp:SqlDataSource>
    </form>
</body>
</html>
